Bug 785794 - OpenVPN doesn't need to require net-tools
Summary: OpenVPN doesn't need to require net-tools
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openvpn
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 687920
TreeView+ depends on / blocked
 
Reported: 2012-01-30 16:11 UTC by Jiri Popelka
Modified: 2012-12-20 16:07 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-12-20 16:07:15 UTC


Attachments (Terms of Use)

Description Jiri Popelka 2012-01-30 16:11:34 UTC
OpenVPN in Fedora has been already using iproute for all the network interface manipulations. It does that by passing --enable-iproute2 option to %configure,
which enables using of 'ip addr', 'ip link' and 'ip route' instead of ifconfig and route. 

I think it's time to remove the 'Requires: net-tools' line as well as the '--with-ifconfig-path' %configure option from openvpn.spec as the ifconfig and route are not used anymore (I've even tested openvpn with deleted /sbin/ifconfig and /sbin/route and haven't seen any problems).

Thanks.

Comment 1 Jiri Popelka 2012-09-26 15:24:02 UTC
ping

On my freshly installed F18 openvpn is the only component that pulls net-tools in.

There's really no reason for requiring net-tools when it doesn't use ifconfig/route any more. If you look in the code you'll see for example:

#ifdef CONFIG_FEATURE_IPROUTE
 argv_printf (&argv, "%s link set addr %s dev %s", iproute_path, ...);
#else
 argv_printf (&argv, "%s %s hw ether %s", IFCONFIG_PATH, ...);

or

#ifdef CONFIG_FEATURE_IPROUTE
 argv_printf (&argv, "%s route add %s/%d via %s", iproute_path, ...):
#else
 argv_printf (&argv, "%s add -net %s netmask %s gw %s", ROUTE_PATH, ...);

where CONFIG_FEATURE_IPROUTE is already defined by using the --enable-iproute2 configure switch.

Can you PLEASE remove the following lines from spec file ?

-Requires:   net-tools
-    --with-ifconfig-path=/sbin/ifconfig \
-    --with-route-path=/sbin/route

Thank you !

Comment 2 Gwyn Ciesla 2012-09-26 15:28:17 UTC
I'll get on this.

Comment 3 Gwyn Ciesla 2012-09-26 15:37:47 UTC
Building for rawhide, I'll push it for f18 as well.

Comment 4 Fedora Update System 2012-09-26 16:09:09 UTC
openvpn-2.2.2-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openvpn-2.2.2-9.fc18

Comment 5 Fedora Update System 2012-09-26 21:18:15 UTC
Package openvpn-2.2.2-9.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openvpn-2.2.2-9.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14804/openvpn-2.2.2-9.fc18
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-12-20 16:07:18 UTC
openvpn-2.2.2-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.